# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::VLXClassWrapper_Renderable Struct Reference

VLX wrapper of vl::Renderable. More...

`#include <VLXWrappers.hpp>`

Inheritance diagram for vl::VLXClassWrapper_Renderable:

List of all members.

## Public Member Functions

virtual void | exportRenderable (const Renderable *obj, VLXStructure *vlx)
void | importRenderable (const VLXStructure *vlx, Renderable *ren)

## Detailed Description

VLX wrapper of vl::Renderable.

Definition at line 544 of file VLXWrappers.hpp.

## Member Function Documentation

virtual void vl::VLXClassWrapper_Renderable::exportRenderable | ( | const Renderable * | obj,
|  | VLXStructure * | vlx
| ) |  | `[inline, virtual]`

Definition at line 546 of file VLXWrappers.hpp.

References vl::Renderable::boundingBox(), vl::Renderable::boundingSphere(), vl::Renderable::boundsDirty(), vl::Log::debug(), vl::export_AABB(), vl::export_Sphere(), vl::Renderable::isBufferObjectEnabled(), vl::Renderable::isDisplayListEnabled(), vl::Object::objectName(), and vl::vlx_String().

Referenced by vl::VLXClassWrapper_Geometry::exportGeometry().

void vl::VLXClassWrapper_Renderable::importRenderable | ( | const VLXStructure * | vlx,
|  | Renderable * | ren
| ) |  | `[inline]`

Definition at line 561 of file VLXWrappers.hpp.

References vl::VLXValue::getString(), vl::VLXStructure::getValue(), vl::import_AABB(), vl::import_Sphere(), vl::Renderable::setBoundingBox(), vl::Renderable::setBoundingSphere(), vl::Renderable::setBufferObjectEnabled(), vl::Renderable::setDisplayListEnabled(), vl::Object::setObjectName(), and vl::VLXStructure::value().

Referenced by vl::VLXClassWrapper_Geometry::importGeometry().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/VLXWrappers.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:56.
Permission is granted to use this page to write and publish articles regarding Visualization Library.